$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.36.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.36.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'E2480E59DED2356334713795EDEE4165CBA037C00CC2E83242C640ECA07B0031'
  checksumType = 'sha256'
  checksum64 = 'E2480E59DED2356334713795EDEE4165CBA037C00CC2E83242C640ECA07B0031'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.36-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
